<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title>Weathermap4PHP - Link</title>
		<script type="application/javascript" src="jscripts/form_link.js"></script>
		<link type="text/css" rel="stylesheet" href="css/form_link.css" />
	</head>
	<body>
		<div id="wrapper">
			<xsl:if test="debug">
				<div style="width: 90%; color: #fff; display: block;">
					<xsl:for-each select="debug/entry">
						<div style="width: 100%; border: 1px dashed #fff; background: #000fff; padding: 0.15em 0.25em 0.15em 0.25em;">
							<xsl:value-of select="text" />
						</div>		
					</xsl:for-each>
				</div>
			</xsl:if>
			<form id="formlink" name="formlink" method="post" action="{formaction}">
				<h2 style="margin-left: 10px;">Link parameters</h2>
				<hr noshade="noshade" />
				<div name="content">
					<table style="margin-left: 20px; margin-bottom: 20px; text-align: center; text-align: left;">
						<tr>
							<td>Link name: </td>
							<td>
								<input id="name" name="name" type="text" size="40" value="{name}" />
								<input id="oldname" name="oldname" type="hidden" value="{name}" />
							</td>
						</tr>
						<tr>
							<td>Nodes to link: </td>
							<td>
								from 
								<select id="nodea" name="nodea">
									<xsl:for-each select="nodea/entry">
										<option value="{name}">
											<xsl:if test="isselected">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											<xsl:value-of select="name" />
										</option>
									</xsl:for-each>
								</select>
								to 
								<select id="nodeb" name="nodeb">
									<xsl:for-each select="nodeb/entry">
										<option value="{name}">
											<xsl:if test="isselected">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											<xsl:value-of select="name" />
										</option>
									</xsl:for-each>
								</select> 
							</td>
						</tr>
						<tr>
							<td>RRDTool database: </td>
							<td>
								<input id="target" name="target" type="text" size="40" value="{target}" />
							</td>
						</tr>
						<tr>
							<td>RRDTool(in traffic) database: </td>
							<td>
								<input id="targetin" name="targetin" type="text" size="40" value="{targetin}" />
							</td>
						</tr>
						<tr>
							<td>RRDTool(out traffic) database: </td>
							<td>
								<input id="targetout" name="targetout" type="text" size="40" value="{targetout}" />
							</td>
						</tr>
						<tr>
							<td>In traffic value position: </td>
							<td>
								<input id="inpos" name="inpos" type="text" size="3" value="{inpos}" />
						 	</td>
						</tr>
						<tr>
							<td>Out traffic value position: </td>
							<td>
								<input id="outpos" name="outpos" type="text" size="3" value="{outpos}" />
						 	</td>
						</tr>
						<tr>
							<td>Unit of traffic values :</td>
							<td>
								<select name="unit">
									<xsl:for-each select="netunit/entry">
										<option value="{value}">
											<xsl:if test="isselected">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											<xsl:value-of select="value" />
										</option>
									</xsl:for-each>
								</select>
							</td>
						</tr>
						<tr>
							<td>Display values: </td>
							<td> 
								<input name="displayvalue" type="checkbox">
									<xsl:if test="displayvalue">
										<xsl:attribute name="checked">checked</xsl:attribute>
									</xsl:if>
								</input>
							</td>
						</tr>
						<tr>
							<td>Max input link bandwidth: </td>
							<td>
								<input name="ratein" type="text" size="8" value="{ratein}" /> Kbits
							</td>
						</tr>
						<tr>
							<td>Max output link bandwidth: </td>
							<td>
								<input name="rateout" type="text" size="8" value="{rateout}" /> Kbits
							</td>
						</tr>
						<tr>
							<td>Arrow type: </td>
							<td>
								<select name="arrow">
									<xsl:for-each select="arrowtype/entry">
										<option value="{value}">
											<xsl:if test="isselected">
												<xsl:attribute name="selected">selected</xsl:attribute>
											</xsl:if>
											<xsl:value-of select="value" />
										</option>
									</xsl:for-each>
								</select>
							</td>
						</tr>
						<tr>
							<td>Link Information URL: </td>
							<td>
								<input id="linkinfourl" name="linkinfourl" type="text" value="{linkinfourl}" size="40" />
						 	</td>
						</tr>
						<tr>
							<td>Link Overlib Graph: </td>
							<td> 
								<input id="linkoverlibgraph" name="linkoverlibgraph" type="text" value="{linkoverlibgraph}" size="40" />
							</td> 
						</tr>
						<tr>
							<td>Group : </td>
							<td><input id="group" name="group" type="text" size="40" value="{group}" /></td>
						</tr>
					</table>
				</div>
				<hr noshade="noshade" />
				<h4 style="margin-left: 10px;">Internodes(optional):</h4>
				<hr noshade="noshade" />
				<div name="content">
					<table>
						<tr>
							<td>Display i-node(s): </td>
							<td>
								<input id="internodedisplay" name="internodedisplay" type="checkbox">
									<xsl:if test="internodedisplay">
										<xsl:attribute name="checked">checked</xsl:attribute>
									</xsl:if>
								</input>
							</td>
						</tr>
						<tr>
							<td>Display i-node in middle: </td>
							<td>
								<input id="internodedisplaymid" name="internodedisplaymid" type="checkbox">
									<xsl:if test="internodedisplaymid">
										<xsl:attribute name="checked">checked</xsl:attribute>
									</xsl:if>
								</input>
							</td>
						</tr>
						<tr>
							<td>Display i-node number(s): </td>
							<td>
								<input id="internodedisplaynum" name="internodedisplaynum" type="checkbox">
									<xsl:if test="internodedisplaynum">
										<xsl:attribute name="checked">checked</xsl:attribute>
									</xsl:if>
								</input>
							</td>
						</tr>
						<xsl:for-each select="internode">
							<tr>
								<td>I-node <xsl:value-of select="num" /> position: </td>
								<td> 
									<input name="Xinode{num}" size="4" value="{x}" />
								 	X
									<input name="Yinode{num}" size="4" value="{y}" />
								 	Y
								</td>
							</tr>
						</xsl:for-each>
					</table>
				</div>
				<hr noshade="noshade" />
				<div id="foot">
					<div style="padding: 0.25em 0.5em 0.25em 0.5em">
						<xsl:for-each select="button/entry">
							<a href="{url}" style="margin-left: {margin}px;"><xsl:value-of select="urllabel" /></a>
						</xsl:for-each>
					</div>
				</div>
			</form>
		</div>
	</body>
</html>
